1

i am trying to use curl and

curl -H "Content-Type: application/json" -X POST -d '{"items":[{"name":"first order","id":42}]}' http://localhost:8080/create-order

responds with

curl: /home/sara/LD_LIBRARY/libcurl.so.4: version `CURL_OPENSSL_4' not found (required by curl)

followed the solution given (here)[curl is not working on Ubuntu 18.04 LTS but no luck

2

Run this command : locate libcurl.so.4 Result will be :

  1. /YOUR_PATH/libcurl.so.4 (generally the path is "/usr/lib/x86_64-linux-gnu/libcurl.so.4")
  2. /usr/lib/x86_64-linux-gnu/libcurl.so.4.5.0

Remove the file which is causing the error using sudo rm /YOUR_PATH/libcurl.so.4 command.

Recreate softlink by using following command : sudo ln -s /usr/lib/x86_64-linux-gnu/libcurl.so.4.5.0 /YOUR_PATH/libcurl.so.4

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.